/**
 * REXX Communication Control Function Library  Ver.1.9
 *                  copyright 1998-2002, Naga(Kazuo Adachi)
 *                          mailto:nagaw@attglobal.net
 *
 * Send AT command to modem and check result code.
 *
 */

ARG initStr

CALL RxFuncAdd 'RxCommLoadFuncs','RxComm','RxCommLoadFuncs'
CALL RxCommLoadFuncs

/*--------------------------------------------------------*/
/**
 * Sending Modem(AT) Command
 */
rc = RxCommWrite( initStr || '0D'x )
DO FOREVER
    rc = RxCommRead()
    CALL CHAROUT , rc

    IF POS( 'OK'   , rc ) = 1 THEN RETURN 0
    IF POS( 'ERROR', rc ) = 1 THEN RETURN 1
END

RETURN -1
